#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of opencv

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/91/c1/692304b856500aec9d3fd5538ed8b9ce79c3f45fc40ed7fe3e0d84d041c2/opencv_contrib_python-4.0.1.24-cp36-cp36m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/db/25/3d762b18269f6e7769c04ac0ae0a3398a38b0b8f05a468abbb44366b97fe/opencv_contrib_python-4.0.1.24-cp37-cp37m-manylinux1_x86_64.whl
    # elif [ "$PY_VER" == "3.8" ]; then
    #     wheel_url=https://files.pythonhosted.org/packages/54/cc/91a385a3fe306f7c8ddfe2112011856ad7ed0fd7b0545b5a7dcbaea565a8/opencv_python-4.0.1.24-cp37-cp37m-manylinux1_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

